PERTALIFE - Feature #3209

E recruitment Button My profile
11/13/2024 09:57 AM - Regina Tasya

Status: Closed
Priority: High
Assignee: Regina Tasya
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

11/13/2024
11/15/2024
0%

0.00 hour
13.00 hours

Description
Dear kak shofwan,

ingin bantuannya untuk di menu my profile,

1. menambahkan button next dimana jika next dia tidak akan mengesave data apapun.

2. button next yang ada saat ini diganti namanya menjadi save. karena saat ini button next yang ada di my profile fungsinya

mengesave data.

3. kak untuk posisi di tuker ya, back dikanan, next di kiri

Port: http://remote.minovais.com:61115/

port erec : http://remote.minovais.com:64115/

Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

History

#1 - 11/13/2024 10:11 AM - Kezia Pawitra Yulianti

- Due date set to 11/15/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 11/15/2024 09:12 AM - Regina Tasya
- File clipboard-202411150912-vpjvh.png added

- Description updated

#3 - 11/15/2024 02:38 PM - shofwan shiddiq

- File clipboard-202411151437-8cobh.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, untuk engine button dan posisi sudah di atur ulang ya sesuai request. silahkan di testing

Back = Kembali ke form sebelumnya
Next = Ke Page Selanjutnya
Save = Save data tanpa pindah2 page
http://remote.minovais.com:61115/
http://remote.minovais.com:64115/
(¢} A\ Notsecure  remote.minovais.com:64115/Home.

HOME CAREER CONTACT US ACTIVITY

ADDRESS
Start Date: 30/04/2024 Country: INDONESIA
End Date: 31/12/9999 Postal Code: 12222
Address Type: Alamat Domisili Telephone Number: 083456
Address: il. begindang01 Cellphone Number: 081234567
RT: o Notes: test

RW: 02

Kelurahan: ratu

District (Kec): mayang

City: duri

Province:
Riau

Back Save Next

— — _ - C? : - = - 3 e 236 PM
UPDATE:
C:\ClientManagement\PERTALIFE\Production\EREC\Views\Home\MD.aspx

#4 - 11/21/2024 02:05 PM - Regina Tasya
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

kak shofwan,

untuk button secara fungsi sudah sesuai,
ada beberapa hal tambahan kak.

1. kondisi saat ini jika user belum mengklik save dan langsung klik next maka file sebelumnya tidak tersave. maka ingin diberikan massage info jika
belum tersave dan langsung next bahwa : "Data belum disimpan! Silakan simpan data terlebih dahulu."

2. saat pengisian sign up ketika mengklik button save maka ingin ke laman selanjutnya

kemudian ada beberapa kondisi untuk membaca fungsi button tsb :

kondisi ini ketika pertama kali sign up maupun edit di laman my profile

1. harus mengecek ke MD apakah data yang diinput itu baru atau belum ada data yang sama, sama sakali ? jika belum ada data di MD maka harus
memberikan massage info save terlebih dahulu baru di next.

2. harus cek MD apakah data nya ada atau ga jika sudah ada maka boleh next

3. harus cek MD ada perubahan tidak (contoh ngedit melalui my profile) ? kalau ada perubahan maka wajib klik save

terima kasih

#5 - 11/22/2024 09:10 AM - Kezia Pawitra Yulianti

- Status changed from Assigned to Revise

#6 - 11/22/2024 11:17 AM - shofwan shiddiq

- File clipboard-202411221114-erpyw.png added
- File clipboard-202411221116-egd2b.png added
- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear Tasya, untuk skenario next dan save sudah dibuat

1. Disaat edit data, apabila user membuat perubahan, kemudian klik next sebelum save, akan muncul alert
v @ (1589 Roundcut X Feature #3209:F X Minova E - Recri X MinovaE -Recrw X @ (169 WhatsApp X [&] Dibimbinglearr % [l Dibimbing Learr X & ChatGPT

<« Cc A\ Notsecure  remote.minovais.com

Warning

Data belum disimpan! Silakan simpan data terlebih dahulu

11:14 AM a

I ] a gy b
Q Search § N~ o BD® 0 8

% partly sunny

Setelah save, maka tidak akan muncul alert
2. Disaat melakukan registrasi, form akan melakukan pengecekan ke database apakah sudah ada data atau belum, kalau poin ini hanya perlu di set

field nya mandatory atau tidak di sdatatablefield nya, karena memang ada field yang tidak wajib diisi, apabila user melakukan save tapi field
mandatory masih kosong, akan muncul tanda merah pertanda field belum teisi

v @ (1589 Roundcul X Feature #3209:F X Minova E - Rec MinovaE-Recn X @@ (169 Whatsapp X || Dibimbingtearr X [l Dibimbing Learr X = @ ChatGPT

<« (¢} A\ Notsecure  remote.minovais.com

« Save successfu

ADDRESS
Start Date: 22/11/2024 Country: 7,‘ o
End Date: 31/12/9999 Postal Code:
Address Type: - o Telephone Number:
Address: Cellphone Number:
RT: Notes:
RW:
Kelurahan:
District (Kec):
City:
Province: 7v‘ o
Back Save Next

11:16 AM
11/22/2024 g

BS"F [ ] ] f =) {a
#7 - 11/25/2024 11:59 AM - Regina Tasya
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq
masih ada yang belum sesuai kak,

1. saat edit di my profile, sesuai diskusi tadi, dan aku cobain lagi di incognito maupun dengan akun google, saat ada input data baru dan next tidak
ada muncul alert save. dan saat aku cobain lagi isi kemudian save di form 1, kemudian di next form 2 aku isi lagi dan langsung next juga tidk muncul
alertnya.

2. sesuai diskusi tadi mengenai jika save langsung ke form selanjutnya, jadi button save sekalian next.

#8 - 11/26/2024 06:35 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Regina Tasya

yg req ini tidak bisa ya, paling dikasih warning aja kalo jangan lupa save,

environment yg dipake ( extjs ) ga memungkinkan akses apabila user ada perubahan ketikan atau combo sebelum save

#9 - 12/02/2024 01:27 PM - Regina Tasya

- File clipboard-202412021326-is1fk.png added

- Assignee changed from Regina Tasya to shofwan shiddiq

oke kak boleh kalo pake extjs

- dan saat di my profile - file data dan work experience ketika klik next yg form didalam

HOME CAREER CONTACT US ACTIVITY

FILE DATA
Start Date: 02/12/2024
End Date: 31/12/9999
File Type: SK Pengangkatan
File Name: photo_626924123560042
File:

photo_ 62692412356

Notes: Po—

juga ingin diberikan alert jika ada perubahan data atau penambahan data maka alert agar dapat klik save.
karena saat ini jika langsung next data tidak ke save namun ke next form.

#10 - 12/02/2024 02:40 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Regina Tasya

Maksudnya, kalo ada perubahan gak bisa diketahui ada atau enggak jadi ga memungkinkan alert,

kalau mau disaat klik next sekalian di kasih fungsi save otomatis, jadi user ga perlu save manual ( sama seperti yang diawal )

#11 - 12/03/2024 10:37 AM - Regina Tasya

- Assignee changed from Regina Tasya to shofwan shiddiq

oke kak boleh diberikan saat klik next maka save otomatis juga

#12 - 12/04/2024 09:51 AM - Regina Tasya

sesuai diskusi,

jadinya untuk button di file data bagian form yaitu button back to form ingin diberikan alert.
dan untuk working experience bagian formnya juga diberikan alert untuk button back to form.

terima kasih
#13 - 12/04/2024 03:05 PM - shofwan shiddiq

Tidak bisa di kasih alert, karena applikasi tidak bisa mengetahuui apakah ada perubahan on the fly atau tidak di form user. user harus save manual.

kalau mau di kasih alert saja, jangan lupa save dulu sebelum kembali

#14 - 12/06/2024 09:50 AM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Regina Tasya

#15 - 01/15/2025 04:09 PM - Regina Tasya
- Status changed from Assigned to Deploy

#16 - 01/20/2025 09:37 AM - Regina Tasya
- Status changed from Deploy to Closed
